tests writes to log file instead of stdout
[idzebra-moved-to-github.git] / test / gils / stop03.sh
index c60f225..a057327 100755 (executable)
@@ -1,52 +1,49 @@
 #!/bin/sh
-# $Id: stop03.sh,v 1.4 2003-05-21 14:39:22 adam Exp $
+# $Id: stop03.sh,v 1.5 2003-05-24 22:34:48 adam Exp $
 # test start and stop of the threaded server (-T)
-#
-# FIXME - this test does not currently pass  (H 22-oct-2002)
-# When the client exits, the process dies with a segfault
 
-echo "initializing"
+LOG=stop03.log
+
+rm -f $LOG
+echo "initializing" >>$LOG
 mkdir -p reg
-rm -f idx.log srv.log servercrash
-../../index/zebraidx -l idx.log -c zebra1.cfg init || exit 1
+../../index/zebraidx -l $LOG -c zebra1.cfg init || exit 1
 
 #create a base to test on
-../../index/zebraidx -l idx.log -c zebra1.cfg update records  || exit 1
+../../index/zebraidx -l $LOG -c zebra1.cfg update records  || exit 1
 
 #kill old server (if any)
 test -f zebrasrv.pid && kill -9 `cat zebrasrv.pid`
-rm -f zebrasrv.pid
-rm -f srv.log
 
-echo "Starting server with -T (threaded)..."
+echo "Starting server with -T (threaded)..." >>$LOG
 (
-  ../../index/zebrasrv -T -c zebra1.cfg -l srv.log tcp:@:9901 ||
-    echo "server failed with $?" > servercrash
+  ../../index/zebrasrv -T -c zebra1.cfg -l $LOG tcp:@:9901 ||
+    echo "server failed with $?" > $LOG
 )&
 sleep 1
 
-echo "  checking that it runs... "
+echo "  checking that it runs... " >>$LOG
 test -f zebrasrv.pid || exit 1
 PID=`cat zebrasrv.pid`
 ps -p $PID | grep $PID >/dev/null || exit 1
 
-echo "  connecting to it..."
-../api/testclient localhost:9901 utah > log || exit 1
+echo "  connecting to it..." >>$LOG
+../api/testclient localhost:9901 utah >>$LOG || exit 1
 sleep 1
 
-echo "  checking that it still runs..."
+echo "  checking that it still runs..." >>$LOG
 ps -p $PID >/dev/null || exit 1
 
-echo "  connecting again, with a delay..."
-../api/testclient localhost:9901 utah 5 > log &
+echo "  connecting again, with a delay..." >>$LOG
+../api/testclient localhost:9901 utah 5 >>$LOG &
 sleep 1 # let the client connect 
 
-echo "  killing it..."
-kill  $PID
+echo "  killing it..." >>$LOG
+kill $PID
 sleep 1
 
-echo "  checking that it is dead"
+echo "  checking that it is dead" >>$LOG
 ps -p $PID | grep $PID >/dev/null && exit 1
 
 # clean up
-rm -rf reg idx.log srv.log zebrasrv.pid servercrash
+rm -rf reg zebrasrv.pid